- group:    btree
  start:    13-11-2023 18:00
  deadline: 26-11-2023 23:59
  tasks:
    - task: btree-1-layout
      score: 200
      url: https://gitlab.com/kitaetoya/shad-db1/-/tree/main/btree-1-layout
    - task: btree-2-insert-lookup
      score: 200
      url: https://gitlab.com/kitaetoya/shad-db1/-/tree/main/btree-2-insert-lookup
    - task: btree-3-remove
      score: 200
      url: https://gitlab.com/kitaetoya/shad-db1/-/tree/main/btree-3-remove
    - task: btree-4-scan
      score: 200
      url: https://gitlab.com/kitaetoya/shad-db1/-/tree/main/btree-4-scan


- group:    parsers 101
  start:    16-10-2023 18:00
  deadline: 05-11-2023 23:59
  tasks:
    - task: calc
      score: 400
      url: https://gitlab.com/kitaetoya/shad-db1/-/tree/main/calc

- group:    buffer pool
  start:    24-09-2023 18:00
  deadline: 08-10-2023 23:59
  tasks:
    - task: bp-1-clock
      score: 100
      url: https://gitlab.com/kitaetoya/shad-db1/-/tree/main/bp-1-clock
    - task: bp-2-scan
      score: 100
      url: https://gitlab.com/kitaetoya/shad-db1/-/tree/main/bp-2-scan
    - task: bp-3-schema
      score: 100
      url: https://gitlab.com/kitaetoya/shad-db1/-/tree/main/bp-3-schema
    - task: bp-4-meta
      score: 100
      url: https://gitlab.com/kitaetoya/shad-db1/-/tree/main/bp-4-meta

- group:    sql
  start:    09-09-2023 18:00
  deadline: 24-09-2023 23:59
  tasks:
    - task: sql
      score: 200
      url: https://gitlab.com/kitaetoya/shad-db1/-/tree/main/sql
